package model

type Project struct {
	ProjectId      int64   `xorm:"not null pk autoincr INT(11)" json:"projectId"`
	ProjectName    string  `xorm:"varchar(200) not null " json:"projectName"`
	OwnerId        int64   `xorm:"not null INT(11) default 0" json:"ownerId"`
	LineName       string  `xorm:"varchar(200) not null " json:"lineName"`
	StartName      string  `xorm:"varchar(200) not null " json:"startName"`
	EndName        string  `xorm:"varchar(200) not null " json:"endName"`
	FixedDeviceNum int     `xorm:"not null INT(11) default 0" json:"fixedDeviceNum"`
	Direction      string  `xorm:"varchar(200) not null " json:"direction"`
	LaneNum        int     `xorm:"not null INT(4) default 0" json:"laneNum"`
	StartPointLng  float64 `xorm:"decimal(18,6)" json:"startPointLng"`
	StartPointLat  float64 `xorm:"decimal(18,6)" json:"startPointLat"`
	EndPointLng    float64 `xorm:"decimal(18,6)" json:"endPointLng"`
	EndPointLat    float64 `xorm:"decimal(18,6)" json:"endPointLat"`
	Status         int     `xorm:"SMALLINT default 1" json:"status"`
	Creator        int64   `xorm:"INT(11) default 0" json:"creator"`
	Modifier       int64   `xorm:"INT(11) default 0" json:"modifier"`
	CreateAt       int64   `xorm:"created" json:"createAt"`
	UpdateAt       int64   `xorm:"updated" json:"updateAt"`
}
