package model

import (
	"encoding/json"
	"fmt"
)

type SystemUser struct {
	UserId   int64  `xorm:"not null pk autoincr INT(11)" json:"userId"` //用户编号
	Phone    string `xorm:"VARCHAR(16)" json:"phone"`                   //手机号码
	Avatar   string `xorm:"VARCHAR(200)" json:"avatar"`                 //头像
	Desc     string `xorm:"VARCHAR(200)" json:"desc"`                   //用户描述
	HomePath string `xorm:"VARCHAR(200)" json:"homePath"`               //进入的首页
	Pass     string `xorm:"VARCHAR(128) not null" json:"pass"`          //密码
	Salt     string `xorm:"VARCHAR(32) not null" json:"salt"`           //盐
	RealName string `xorm:"VARCHAR(50)" json:"realName"`                //真实姓名
	CreateAt int64  `xorm:"created" json:"createAt"`                    //创建时间
	UpdateAt int64  `xorm:"updated" json:"updateAt"`                    //更新时间
}

func GetUserById(userId int64) (*SystemUser, error) {
	us := new(SystemUser)
	h, err := DB.ID(userId).Get(us)
	if err != nil {
		return nil, err
	}
	if !h {
		return nil, fmt.Errorf("未知用户")
	}
	return us, err
}

func (us SystemUser) ToString() string {
	data, err := json.Marshal(us)
	if err != nil {
		return ""
	}
	return string(data)
}
